module ExampleBraids
where
import Braids

-- | Construct a family of braids from <Ng and Khandawit's paper http://www.math.duke.edu/~ng/math/papers/nonsimple.pdf>.  This will fail if either input is negative.
ngkLeft :: (Int, Int) -> Braid
ngkRight (a, b) = Braid {braidWord = [3,-2,-2] ++ replicate (2 + 2*a) 3 ++ [2,-3,-1,2] ++ replicate (2 + 2*b) 1
                        , braidWidth = 4}

ngkRight :: (Int, Int) -> Braid
ngkLeft (a, b) = Braid {braidWord = [3,-2,-2] ++ replicate (2 + 2*a) 3 ++ [2,-3] ++ replicate (2 + 2*b) 1 ++ [2,-1]
                        , braidWidth = 4}

